Subject: pine instability/crash (fwd)

From: Adam Wolff <[email-masked]>
Date: Sun, 12 Jan 2003 11:40:11 -0800 (Pacific Standard Time)

Using PC-Pine 4.52, I can read my mail for a while and move around my mailboxes, but at some point reading actual messages stops working.

That is, I see the list of messages fine in my inbox, but then when I go to read a message (right arrow) the body text is empty (though the headers are correct.) If I don't quit the program at this point, it'll crash soon thereafter.

I've included some logs below, annotated with *****. Any help or insight would be appreciated!
Thanks,
Adam Wolff

*****Here's the log of no message being retrieved:
 -----  MAIL VIEW  -----

09:07:03.527
busy_alarm(1, Busy, 00000000, 0)

09:07:03.527
IMAP DEBUG 09:07:03.527: 00000066 FETCH 8 (BODYSTRUCTURE FLAGS)

09:07:03.527
IMAP 09:07:03 1/12 mm_log tcp: Writing to TCP

09:07:03.527
IMAP 09:07:03 1/12 mm_log tcp: successfully wrote to TCP

09:07:03.527
IMAP 09:07:03 1/12 mm_log tcp: Reading TCP data

09:07:03.567
IMAP 09:07:03 1/12 mm_log tcp: Successfully read TCP data

09:07:03.567
IMAP DEBUG 09:07:03.567: 00000066 OK FETCH Completed

09:07:03.567
IMAP DEBUG 09:07:03.567: 00000067 FETCH 8 BODY.PEEK[HEADER.FIELDS (Resent-Date Resent-From Resent-To Resent-cc Resent-Subject)]

09:07:03.567
IMAP 09:07:03 1/12 mm_log tcp: Writing to TCP

09:07:03.567
IMAP 09:07:03 1/12 mm_log tcp: successfully wrote to TCP

09:07:03.567
IMAP 09:07:03 1/12 mm_log tcp: Reading TCP data

09:07:03.597
IMAP 09:07:03 1/12 mm_log tcp: Successfully read TCP data

09:07:03.597
IMAP DEBUG 09:07:03.597: 00000067 OK FETCH Completed

09:07:03.597
-- gf_reset line_test

09:07:03.597
-- gf_reset wrap

09:07:03.597
-- gf_pipe:
09:07:03.597
suspend_busy_alarm

09:07:03.597
resume_busy_alarm

09:07:03.597
suspend_busy_alarm

09:07:03.597
resume_busy_alarm

09:07:03.597
suspend_busy_alarm

09:07:03.597
resume_busy_alarm

09:07:03.597
suspend_busy_alarm

09:07:03.597
resume_busy_alarm

09:07:03.597
suspend_busy_alarm

09:07:03.597
resume_busy_alarm

09:07:03.597
done.

09:07:03.597
IMAP DEBUG 09:07:03.597: 00000068 FETCH 8 BODY[TEXT]

09:07:03.627
IMAP 09:07:03 1/12 mm_log tcp: Writing to TCP

09:07:03.627
IMAP 09:07:03 1/12 mm_log tcp: successfully wrote to TCP

09:07:03.627
IMAP 09:07:03 1/12 mm_log tcp: Reading TCP data

09:07:03.657
IMAP 09:07:03 1/12 mm_log tcp: Successfully read TCP data

09:07:03.657
IMAP DEBUG 09:07:03.657: 00000068 OK FETCH Completed

09:07:03.657
suspend_busy_alarm

09:07:03.657
resume_busy_alarm

09:07:03.657
-- gf_reset line_test

09:07:03.657
-- gf_reset wrap

09:07:03.657
-- gf_pipe:
09:07:03.657
done.

09:07:03.657
cancel_busy_alarm(-1)

09:07:03.657
@@@@ current:8

09:07:03.657
set_titlebar - style: 3  current message cnt:1
09:07:03.657
  current_pl: 6  total_pl: 6

09:07:03.657
new mail called (0 0 1)

09:07:03.657
- adrbk_maintenance -

09:07:03.657
check_point(GoodTime)

09:07:03.657
freq 12 tm 420 changes 2 since_1st_change 226

09:07:03.657
since_status_chg 2260 chk_cnt_ave 4 (tenths)

09:07:03.657
adj_chk_cnt_ave 200 (tenths)

09:07:03.657
Check:if changes(2)xadj_cca(200) >= freq(12)x200

09:07:03.657
      is 400 >= 2400 ?

09:07:03.657
******** new mail returning -1  ********

09:07:03.657
q_status_message(ALL of message)

09:07:03.657
output_message(ALL of message)

09:07:03.657
STATUS cmd:120, max:1, min0

09:07:03.667
cancel_busy_alarm(-1)

*****here's the log of the crash
 -----  MAIL VIEW  -----

09:10:59.035
busy_alarm(1, Busy, 00000000, 0)

09:10:59.035
IMAP DEBUG 09:10:59.035: 00000073 FETCH 3 (BODYSTRUCTURE FLAGS)

09:10:59.035
IMAP 09:10:59 1/12 mm_log tcp: Writing to TCP

09:10:59.035
IMAP 09:10:59 1/12 mm_log tcp: successfully wrote to TCP

09:10:59.035
IMAP 09:10:59 1/12 mm_log tcp: Reading TCP data

09:10:59.065
IMAP 09:10:59 1/12 mm_log tcp: Successfully read TCP data

09:10:59.065
IMAP DEBUG 09:10:59.065: * 3 FETCH (FLAGS (\Seen) BODYSTRUCTURE)
-- 
-----------------------------------------------------------------
 For information about this mailing list, and its archives, see: 
 http://www.washington.edu/pine/pine-info/
-----------------------------------------------------------------